MPD: AllocatedSocketAddress Class Reference

MPD 0.20.15

Public Types | Public Member Functions | Static Public Member Functions
AllocatedSocketAddress Class Reference

`#include <AllocatedSocketAddress.hxx>`

## Public Types
typedef SocketAddress::size_type | size_type

## Public Member Functions
| AllocatedSocketAddress ()
| AllocatedSocketAddress (SocketAddress src)
| AllocatedSocketAddress (const AllocatedSocketAddress &)=delete
| AllocatedSocketAddress (AllocatedSocketAddress &&src)
| ~AllocatedSocketAddress ()
AllocatedSocketAddress & | operator= (SocketAddress src)
AllocatedSocketAddress & | operator= (const AllocatedSocketAddress &)=delete
AllocatedSocketAddress & | operator= (AllocatedSocketAddress &&src) noexcept
gcc_pure bool | operator== (SocketAddress other) const noexcept
bool | operator!= (SocketAddress &other) const noexcept
bool | IsNull () const noexcept
size_type | GetSize () const noexcept
const struct sockaddr * | GetAddress () const noexcept
| operator SocketAddress () const noexcept
| operator const struct sockaddr * () const noexcept
int | GetFamily () const noexcept
bool | IsDefined () const noexcept
| Does the object have a well-defined address? Check !IsNull() before calling this method. More...
void | Clear () noexcept

## Static Public Member Functions
static gcc_const AllocatedSocketAddress | Null () noexcept

## Detailed Description

Definition at line 43 of file AllocatedSocketAddress.hxx.

## Member Typedef Documentation

## ◆ size_type

typedef SocketAddress::size_type AllocatedSocketAddress::size_type

Definition at line 45 of file AllocatedSocketAddress.hxx.

## Constructor & Destructor Documentation

## ◆ AllocatedSocketAddress() [1/4]

AllocatedSocketAddress::AllocatedSocketAddress | ( |  | ) |
| inline

Definition at line 56 of file AllocatedSocketAddress.hxx.

## ◆ AllocatedSocketAddress() [2/4]

AllocatedSocketAddress::AllocatedSocketAddress | ( | SocketAddress | src | ) |
| inlineexplicit

Definition at line 58 of file AllocatedSocketAddress.hxx.

## ◆ AllocatedSocketAddress() [3/4]

AllocatedSocketAddress::AllocatedSocketAddress | ( | const AllocatedSocketAddress & |  | ) |
| delete

## ◆ AllocatedSocketAddress() [4/4]

AllocatedSocketAddress::AllocatedSocketAddress | ( | AllocatedSocketAddress && | src | ) |
| inline

Definition at line 65 of file AllocatedSocketAddress.hxx.

## ◆ ~AllocatedSocketAddress()

AllocatedSocketAddress::~AllocatedSocketAddress | ( |  | ) |
| inline

Definition at line 71 of file AllocatedSocketAddress.hxx.

## Member Function Documentation

## ◆ Clear()

void AllocatedSocketAddress::Clear | ( |  | ) |
| inlinenoexcept

Definition at line 131 of file AllocatedSocketAddress.hxx.

## ◆ GetAddress()

const struct sockaddr* AllocatedSocketAddress::GetAddress | ( |  | ) | const
| inlinenoexcept

Definition at line 107 of file AllocatedSocketAddress.hxx.

## ◆ GetFamily()

int AllocatedSocketAddress::GetFamily | ( |  | ) | const
| inlinenoexcept

Definition at line 119 of file AllocatedSocketAddress.hxx.

## ◆ GetSize()

size_type AllocatedSocketAddress::GetSize | ( |  | ) | const
| inlinenoexcept

Definition at line 103 of file AllocatedSocketAddress.hxx.

## ◆ IsDefined()

bool AllocatedSocketAddress::IsDefined | ( |  | ) | const
| inlinenoexcept

Does the object have a well-defined address? Check !IsNull() before calling this method.

Definition at line 127 of file AllocatedSocketAddress.hxx.

## ◆ IsNull()

bool AllocatedSocketAddress::IsNull | ( |  | ) | const
| inlinenoexcept

Definition at line 99 of file AllocatedSocketAddress.hxx.

## ◆ Null()

static gcc_const AllocatedSocketAddress AllocatedSocketAddress::Null | ( |  | ) |
| inlinestaticnoexcept

Definition at line 95 of file AllocatedSocketAddress.hxx.

## ◆ operator const struct sockaddr *()

AllocatedSocketAddress::operator const struct sockaddr * | ( |  | ) | const
| inlinenoexcept

Definition at line 115 of file AllocatedSocketAddress.hxx.

## ◆ operator SocketAddress()

AllocatedSocketAddress::operator SocketAddress | ( |  | ) | const
| inlinenoexcept

Definition at line 111 of file AllocatedSocketAddress.hxx.

## ◆ operator!=()

bool AllocatedSocketAddress::operator!= | ( | SocketAddress & | other | ) | const
| inlinenoexcept

Definition at line 90 of file AllocatedSocketAddress.hxx.

## ◆ operator=() [1/3]

AllocatedSocketAddress& AllocatedSocketAddress::operator= | ( | SocketAddress | src | ) |

## ◆ operator=() [2/3]

AllocatedSocketAddress& AllocatedSocketAddress::operator= | ( | const AllocatedSocketAddress & |  | ) |
| delete

## ◆ operator=() [3/3]

AllocatedSocketAddress& AllocatedSocketAddress::operator= | ( | AllocatedSocketAddress && | src | ) |
| inlinenoexcept

Definition at line 79 of file AllocatedSocketAddress.hxx.

## ◆ operator==()

gcc_pure bool AllocatedSocketAddress::operator== | ( | SocketAddress | other | ) | const
| inlinenoexcept

Definition at line 86 of file AllocatedSocketAddress.hxx.

The documentation for this class was generated from the following file:

- net/AllocatedSocketAddress.hxx